﻿using System.ComponentModel.DataAnnotations;

namespace FluentPolicyAuth.Models.ViewModels
{
    public class LoginViewModel
    {
        [Required(AllowEmptyStrings = false, ErrorMessage = "Please enter user name"), DataType(DataType.Text), StringLength(50, MinimumLength = 2)]
        public string? UserName { get; set; }

        [Required(AllowEmptyStrings = false, ErrorMessage = "Please enter password"), DataType(DataType.Password), StringLength(50, MinimumLength = 4)]
        public string? Password { get; set; }
    }
}
